Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network185.2.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
185.2.0.0
Broadcast address
185.3.255.255
First usable
185.2.0.1
Last usable
185.3.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex B9020000 · Integer 3103916032 to 3104047103
Reverse DNS zones
2.185.in-addr.arpa
3.185.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111001.00000010.00000000.00000000185.2.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10111001.00000010.00000000.00000000185.2.0.0
Broadcast10111001.00000011.11111111.11111111185.3.255.255
Split into smaller subnets/22

185.2.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1185.2.0.0/22185.2.0.1 to 185.2.3.254185.2.3.2551,022
2185.2.4.0/22185.2.4.1 to 185.2.7.254185.2.7.2551,022
3185.2.8.0/22185.2.8.1 to 185.2.11.254185.2.11.2551,022
4185.2.12.0/22185.2.12.1 to 185.2.15.254185.2.15.2551,022
5185.2.16.0/22185.2.16.1 to 185.2.19.254185.2.19.2551,022
6185.2.20.0/22185.2.20.1 to 185.2.23.254185.2.23.2551,022
7185.2.24.0/22185.2.24.1 to 185.2.27.254185.2.27.2551,022
8185.2.28.0/22185.2.28.1 to 185.2.31.254185.2.31.2551,022
9185.2.32.0/22185.2.32.1 to 185.2.35.254185.2.35.2551,022
10185.2.36.0/22185.2.36.1 to 185.2.39.254185.2.39.2551,022
11185.2.40.0/22185.2.40.1 to 185.2.43.254185.2.43.2551,022
12185.2.44.0/22185.2.44.1 to 185.2.47.254185.2.47.2551,022
13185.2.48.0/22185.2.48.1 to 185.2.51.254185.2.51.2551,022
14185.2.52.0/22185.2.52.1 to 185.2.55.254185.2.55.2551,022
15185.2.56.0/22185.2.56.1 to 185.2.59.254185.2.59.2551,022
16185.2.60.0/22185.2.60.1 to 185.2.63.254185.2.63.2551,022
17185.2.64.0/22185.2.64.1 to 185.2.67.254185.2.67.2551,022
18185.2.68.0/22185.2.68.1 to 185.2.71.254185.2.71.2551,022
19185.2.72.0/22185.2.72.1 to 185.2.75.254185.2.75.2551,022
20185.2.76.0/22185.2.76.1 to 185.2.79.254185.2.79.2551,022
21185.2.80.0/22185.2.80.1 to 185.2.83.254185.2.83.2551,022
22185.2.84.0/22185.2.84.1 to 185.2.87.254185.2.87.2551,022
23185.2.88.0/22185.2.88.1 to 185.2.91.254185.2.91.2551,022
24185.2.92.0/22185.2.92.1 to 185.2.95.254185.2.95.2551,022
25185.2.96.0/22185.2.96.1 to 185.2.99.254185.2.99.2551,022
26185.2.100.0/22185.2.100.1 to 185.2.103.254185.2.103.2551,022
27185.2.104.0/22185.2.104.1 to 185.2.107.254185.2.107.2551,022
28185.2.108.0/22185.2.108.1 to 185.2.111.254185.2.111.2551,022
29185.2.112.0/22185.2.112.1 to 185.2.115.254185.2.115.2551,022
30185.2.116.0/22185.2.116.1 to 185.2.119.254185.2.119.2551,022
31185.2.120.0/22185.2.120.1 to 185.2.123.254185.2.123.2551,022
32185.2.124.0/22185.2.124.1 to 185.2.127.254185.2.127.2551,022
33185.2.128.0/22185.2.128.1 to 185.2.131.254185.2.131.2551,022
34185.2.132.0/22185.2.132.1 to 185.2.135.254185.2.135.2551,022
35185.2.136.0/22185.2.136.1 to 185.2.139.254185.2.139.2551,022
36185.2.140.0/22185.2.140.1 to 185.2.143.254185.2.143.2551,022
37185.2.144.0/22185.2.144.1 to 185.2.147.254185.2.147.2551,022
38185.2.148.0/22185.2.148.1 to 185.2.151.254185.2.151.2551,022
39185.2.152.0/22185.2.152.1 to 185.2.155.254185.2.155.2551,022
40185.2.156.0/22185.2.156.1 to 185.2.159.254185.2.159.2551,022
41185.2.160.0/22185.2.160.1 to 185.2.163.254185.2.163.2551,022
42185.2.164.0/22185.2.164.1 to 185.2.167.254185.2.167.2551,022
43185.2.168.0/22185.2.168.1 to 185.2.171.254185.2.171.2551,022
44185.2.172.0/22185.2.172.1 to 185.2.175.254185.2.175.2551,022
45185.2.176.0/22185.2.176.1 to 185.2.179.254185.2.179.2551,022
46185.2.180.0/22185.2.180.1 to 185.2.183.254185.2.183.2551,022
47185.2.184.0/22185.2.184.1 to 185.2.187.254185.2.187.2551,022
48185.2.188.0/22185.2.188.1 to 185.2.191.254185.2.191.2551,022
49185.2.192.0/22185.2.192.1 to 185.2.195.254185.2.195.2551,022
50185.2.196.0/22185.2.196.1 to 185.2.199.254185.2.199.2551,022
51185.2.200.0/22185.2.200.1 to 185.2.203.254185.2.203.2551,022
52185.2.204.0/22185.2.204.1 to 185.2.207.254185.2.207.2551,022
53185.2.208.0/22185.2.208.1 to 185.2.211.254185.2.211.2551,022
54185.2.212.0/22185.2.212.1 to 185.2.215.254185.2.215.2551,022
55185.2.216.0/22185.2.216.1 to 185.2.219.254185.2.219.2551,022
56185.2.220.0/22185.2.220.1 to 185.2.223.254185.2.223.2551,022
57185.2.224.0/22185.2.224.1 to 185.2.227.254185.2.227.2551,022
58185.2.228.0/22185.2.228.1 to 185.2.231.254185.2.231.2551,022
59185.2.232.0/22185.2.232.1 to 185.2.235.254185.2.235.2551,022
60185.2.236.0/22185.2.236.1 to 185.2.239.254185.2.239.2551,022
61185.2.240.0/22185.2.240.1 to 185.2.243.254185.2.243.2551,022
62185.2.244.0/22185.2.244.1 to 185.2.247.254185.2.247.2551,022
63185.2.248.0/22185.2.248.1 to 185.2.251.254185.2.251.2551,022
64185.2.252.0/22185.2.252.1 to 185.2.255.254185.2.255.2551,022
65185.3.0.0/22185.3.0.1 to 185.3.3.254185.3.3.2551,022
66185.3.4.0/22185.3.4.1 to 185.3.7.254185.3.7.2551,022
67185.3.8.0/22185.3.8.1 to 185.3.11.254185.3.11.2551,022
68185.3.12.0/22185.3.12.1 to 185.3.15.254185.3.15.2551,022
69185.3.16.0/22185.3.16.1 to 185.3.19.254185.3.19.2551,022
70185.3.20.0/22185.3.20.1 to 185.3.23.254185.3.23.2551,022
71185.3.24.0/22185.3.24.1 to 185.3.27.254185.3.27.2551,022
72185.3.28.0/22185.3.28.1 to 185.3.31.254185.3.31.2551,022
73185.3.32.0/22185.3.32.1 to 185.3.35.254185.3.35.2551,022
74185.3.36.0/22185.3.36.1 to 185.3.39.254185.3.39.2551,022
75185.3.40.0/22185.3.40.1 to 185.3.43.254185.3.43.2551,022
76185.3.44.0/22185.3.44.1 to 185.3.47.254185.3.47.2551,022
77185.3.48.0/22185.3.48.1 to 185.3.51.254185.3.51.2551,022
78185.3.52.0/22185.3.52.1 to 185.3.55.254185.3.55.2551,022
79185.3.56.0/22185.3.56.1 to 185.3.59.254185.3.59.2551,022
80185.3.60.0/22185.3.60.1 to 185.3.63.254185.3.63.2551,022
81185.3.64.0/22185.3.64.1 to 185.3.67.254185.3.67.2551,022
82185.3.68.0/22185.3.68.1 to 185.3.71.254185.3.71.2551,022
83185.3.72.0/22185.3.72.1 to 185.3.75.254185.3.75.2551,022
84185.3.76.0/22185.3.76.1 to 185.3.79.254185.3.79.2551,022
85185.3.80.0/22185.3.80.1 to 185.3.83.254185.3.83.2551,022
86185.3.84.0/22185.3.84.1 to 185.3.87.254185.3.87.2551,022
87185.3.88.0/22185.3.88.1 to 185.3.91.254185.3.91.2551,022
88185.3.92.0/22185.3.92.1 to 185.3.95.254185.3.95.2551,022
89185.3.96.0/22185.3.96.1 to 185.3.99.254185.3.99.2551,022
90185.3.100.0/22185.3.100.1 to 185.3.103.254185.3.103.2551,022
91185.3.104.0/22185.3.104.1 to 185.3.107.254185.3.107.2551,022
92185.3.108.0/22185.3.108.1 to 185.3.111.254185.3.111.2551,022
93185.3.112.0/22185.3.112.1 to 185.3.115.254185.3.115.2551,022
94185.3.116.0/22185.3.116.1 to 185.3.119.254185.3.119.2551,022
95185.3.120.0/22185.3.120.1 to 185.3.123.254185.3.123.2551,022
96185.3.124.0/22185.3.124.1 to 185.3.127.254185.3.127.2551,022
97185.3.128.0/22185.3.128.1 to 185.3.131.254185.3.131.2551,022
98185.3.132.0/22185.3.132.1 to 185.3.135.254185.3.135.2551,022
99185.3.136.0/22185.3.136.1 to 185.3.139.254185.3.139.2551,022
100185.3.140.0/22185.3.140.1 to 185.3.143.254185.3.143.2551,022
101185.3.144.0/22185.3.144.1 to 185.3.147.254185.3.147.2551,022
102185.3.148.0/22185.3.148.1 to 185.3.151.254185.3.151.2551,022
103185.3.152.0/22185.3.152.1 to 185.3.155.254185.3.155.2551,022
104185.3.156.0/22185.3.156.1 to 185.3.159.254185.3.159.2551,022
105185.3.160.0/22185.3.160.1 to 185.3.163.254185.3.163.2551,022
106185.3.164.0/22185.3.164.1 to 185.3.167.254185.3.167.2551,022
107185.3.168.0/22185.3.168.1 to 185.3.171.254185.3.171.2551,022
108185.3.172.0/22185.3.172.1 to 185.3.175.254185.3.175.2551,022
109185.3.176.0/22185.3.176.1 to 185.3.179.254185.3.179.2551,022
110185.3.180.0/22185.3.180.1 to 185.3.183.254185.3.183.2551,022
111185.3.184.0/22185.3.184.1 to 185.3.187.254185.3.187.2551,022
112185.3.188.0/22185.3.188.1 to 185.3.191.254185.3.191.2551,022
113185.3.192.0/22185.3.192.1 to 185.3.195.254185.3.195.2551,022
114185.3.196.0/22185.3.196.1 to 185.3.199.254185.3.199.2551,022
115185.3.200.0/22185.3.200.1 to 185.3.203.254185.3.203.2551,022
116185.3.204.0/22185.3.204.1 to 185.3.207.254185.3.207.2551,022
117185.3.208.0/22185.3.208.1 to 185.3.211.254185.3.211.2551,022
118185.3.212.0/22185.3.212.1 to 185.3.215.254185.3.215.2551,022
119185.3.216.0/22185.3.216.1 to 185.3.219.254185.3.219.2551,022
120185.3.220.0/22185.3.220.1 to 185.3.223.254185.3.223.2551,022
121185.3.224.0/22185.3.224.1 to 185.3.227.254185.3.227.2551,022
122185.3.228.0/22185.3.228.1 to 185.3.231.254185.3.231.2551,022
123185.3.232.0/22185.3.232.1 to 185.3.235.254185.3.235.2551,022
124185.3.236.0/22185.3.236.1 to 185.3.239.254185.3.239.2551,022
125185.3.240.0/22185.3.240.1 to 185.3.243.254185.3.243.2551,022
126185.3.244.0/22185.3.244.1 to 185.3.247.254185.3.247.2551,022
127185.3.248.0/22185.3.248.1 to 185.3.251.254185.3.251.2551,022
128185.3.252.0/22185.3.252.1 to 185.3.255.254185.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses